Bug 811842 - selinux prevents yppasswdd from starting
selinux prevents yppasswdd from starting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 816135
  Show dependency treegraph
 
Reported: 2012-04-12 01:48 EDT by Martin Cermak
Modified: 2012-04-25 06:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-114.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:51:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Cermak 2012-04-12 01:48:20 EDT
Description of problem:

  In enforcing mode, yppasswdd can't start. Following AVC denial is audited:

type=AVC msg=audit(1334209348.358:1851): avc:  denied  { read } for  pid=23221 comm="rpc.yppasswdd.e" path="/usr/bin/bash" dev="dm-1" ino=3941 scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file


  In permissive mode yppasswdd starts and Following AVC denials are audited:

type=AVC msg=audit(1334209431.352:1855): avc:  denied  { read } for  pid=23242 comm="rpc.yppasswdd.e" path="/usr/bin/bash" dev="dm-1" ino=3941 scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:shell_exec_t:s0 tclass=file
type=SYSCALL msg=audit(1334209431.352:1855): arch=c000003e syscall=10 success=yes exit=0 a0=6d9000 a1=1000 a2=1 a3=0 items=0 ppid=1 pid=23242 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="rpc.yppasswdd.e" exe="/usr/bin/bash" subj=system_u:system_r:rpcd_t:s0 key=(null)
type=AVC msg=audit(1334209431.360:1856): avc:  denied  { execute } for  pid=23242 comm="rpc.yppasswdd.e" name="rpc.yppasswdd" dev="dm-1" ino=21671 scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:yppasswdd_exec_t:s0 tclass=file
type=AVC msg=audit(1334209431.360:1856): avc:  denied  { read open } for  pid=23242 comm="rpc.yppasswdd.e" name="rpc.yppasswdd" dev="dm-1" ino=21671 scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:yppasswdd_exec_t:s0 tclass=file
type=AVC msg=audit(1334209431.360:1856): avc:  denied  { execute_no_trans } for  pid=23242 comm="rpc.yppasswdd.e" path="/usr/sbin/rpc.yppasswdd" dev="dm-1" ino=21671 scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:yppasswdd_exec_t:s0 tclass=file


Version-Release number of selected component (if applicable):

kernel-3.3.1-3.fc17.x86_64
selinux-policy-3.10.0-110.fc17.noarch
systemd-44-4.fc17.x86_64
ypserv-2.27-1.fc17.x86_64


How reproducible:

  Always

Steps to Reproduce:

  Start configured service
Comment 1 Miroslav Grepl 2012-04-13 02:11:10 EDT
We will need to change labeling.

Martin,
could you try to execute

$ chcon -t yppasswdd_exec_t /usr/sbin/rpc.yppasswdd.env

and re-test it?
Comment 2 Miroslav Grepl 2012-04-13 02:12:40 EDT
Ok, I see some issues which I am fixing.
Comment 3 Miroslav Grepl 2012-04-13 02:17:39 EDT
Fixed in selinux-policy-3.10.0-114.fc17
Comment 4 Fedora Update System 2012-04-13 04:41:37 EDT
selinux-policy-3.10.0-114.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-114.fc17
Comment 5 Fedora Update System 2012-04-13 21:46:26 EDT
Package selinux-policy-3.10.0-114.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-114.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5870/selinux-policy-3.10.0-114.fc17
then log in and leave karma (feedback).
Comment 6 Martin Cermak 2012-04-16 08:11:10 EDT
I can confirm this is fixed now:

kernel-3.3.1-5.fc17.x86_64
selinux-policy-3.10.0-114.fc17.noarch
systemd-44-4.fc17.x86_64
ypserv-2.27-1.fc17.x86_64


Thanks!
Comment 7 Fedora Update System 2012-04-18 18:51:11 EDT
selinux-policy-3.10.0-114.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.